Loading...
Searching...
No Matches
add_missing_continuation< Problem >

## Detailed Description

template<class Problem>
class rheolef::details::add_missing_continuation< Problem >

Definition at line 269 of file newton_add_missing.h.

Inheritance diagram for add_missing_continuation< Problem >:

## Public Types

typedef Problem::float_type | float_type
typedef Problem::value_type | value_type

## Public Member Functions

| add_missing_continuation (const add_missing_continuation< Problem > &f)
| add_missing_continuation (const Problem &f)
add_missing_continuation< Problem > & | operator= (add_missing_continuation< Problem > &&f)

## Member Typedef Documentation

## float_type

template<class Problem >

typedef Problem::float_type float_type

Definition at line 277 of file newton_add_missing.h.

## value_type

template<class Problem >

typedef Problem::value_type value_type

Definition at line 278 of file newton_add_missing.h.

## Constructor & Destructor Documentation

## add_missing_continuation() [1/2]

template<class Problem >

add_missing_continuation | ( | const add_missing_continuation< Problem > & | f | ) |

Definition at line 279 of file newton_add_missing.h.

## add_missing_continuation() [2/2]

template<class Problem >

add_missing_continuation | ( | const Problem & | f | ) |

Definition at line 287 of file newton_add_missing.h.

## Member Function Documentation

## operator=()

template<class Problem >

add_missing_continuation< Problem > & operator= | ( | add_missing_continuation< Problem > && | f | ) |

Definition at line 295 of file newton_add_missing.h.

The documentation for this class was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/newton_add_missing.h